Package org.eclipse.ui.contexts

## Class ContextEvent

- java.lang.Object
- - org.eclipse.ui.contexts.ContextEvent

    @Deprecated
    public final class ContextEvent
    extends Object

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.
An instance of this class describes changes to an instance of `IContext`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IContextListener.contextChanged(ContextEvent)`, `ContextEvent`

### Constructor Summary

Constructors
`ContextEvent​(IContext context, boolean definedChanged, boolean enabledChanged, boolean nameChanged, boolean parentIdChanged)` Deprecated. Creates a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`IContext` `getContext()` Deprecated. Returns the instance of the interface that changed.
`boolean` `hasDefinedChanged()` Deprecated. Returns whether or not the defined property changed.
`boolean` `hasEnabledChanged()` Deprecated. Returns whether or not the enabled property changed.
`boolean` `hasNameChanged()` Deprecated. Returns whether or not the name property changed.
`boolean` `hasParentIdChanged()` Deprecated. Returns whether or not the parentId property changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextEvent

    public ContextEvent​(IContext context,
                        boolean definedChanged,
                        boolean enabledChanged,
                        boolean nameChanged,
                        boolean parentIdChanged)

Deprecated.
Creates a new instance of this class.

Parameters:
  `context` - the instance of the interface that changed.
  `definedChanged` - true, iff the defined property changed.
  `enabledChanged` - true, iff the enabled property changed.
  `nameChanged` - true, iff the name property changed.
  `parentIdChanged` - true, iff the parentId property changed.

### Method Detail

#### getContext

    public IContext getContext()

Deprecated.
Returns the instance of the interface that changed.

Returns:
  the instance of the interface that changed. Guaranteed not to be `null`.

#### hasDefinedChanged

    public boolean hasDefinedChanged()

Deprecated.
Returns whether or not the defined property changed.

Returns:
  true, iff the defined property changed.

#### hasEnabledChanged

    public boolean hasEnabledChanged()

Deprecated.
Returns whether or not the enabled property changed.

Returns:
  true, iff the enabled property changed.

#### hasNameChanged

    public boolean hasNameChanged()

Deprecated.
Returns whether or not the name property changed.

Returns:
  true, iff the name property changed.

#### hasParentIdChanged

    public boolean hasParentIdChanged()

Deprecated.
Returns whether or not the parentId property changed.

Returns:
  true, iff the parentId property changed.